Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC01PA.DAT' lrecl= 47;
Data SASLIB.SEC01PA;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V01A01   Length=3 Label='01.Tipo Domicilio';
   attrib V01A02   Length=3 Label='02. Material Predom.Paredes Ext';
   attrib V01A03   Length=3 Label='03. Material Predominante Piso';
   attrib V01A04   Length=3 Label='04. Material Predominante Teto';
   attrib V01A05   Length=3 Label='05. Total  Dormitorios';
   attrib V01A06   Length=3 Label='06. Total  Comodos';
   attrib V01A07   Length=3 Label='07. Comodos Usados Dormitrio';
   attrib V01A08   Length=3 Label='08. Comodos Trabalho, Estudo';
   attrib V01A09   Length=3 Label='09. Existe  Cozinha?';
   attrib V01A10   Length=3 Label='10. Total  Banheiros';
   attrib V01A11   Length=3 Label='11. Banheiro Uso Excl.Morador?';
   attrib V01A12   Length=3 Label='12. Localizacao Banheiro';
   attrib V01A13   Length=3 Label='13. Tipo Agua Usada  Beber';
   attrib V01A14   Length=3 Label='14. Calcada Frente Domicilio?';
   attrib V01A15   Length=3 Label='15. Tipo Rua Localiza Domicilio';
   attrib V01A16   Length=3 Label='16. Localizacao Domicilio';
   attrib V01A17   Length=3 Label='17. Estado Conservacao Domic.';
   attrib V01A17F  Length=3 Label='Flag da Secao 1 Parte A';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V01A01      25-25
   V01A02      26-26
   V01A03      27-27
   V01A04      28-28
   V01A05      29-30
   V01A06      31-32
   V01A07      33-34
   V01A08      35-36
   V01A09      37-37
   V01A10      38-39
   V01A11      40-40
   V01A12      41-41
   V01A13      42-42
   V01A14      43-43
   V01A15      44-44
   V01A16      45-45
   V01A17      46-46
   V01A17F     47-47
;
   if V01A01  >=9.           Then V01A01=.;
   if V01A02  >=9.           Then V01A02=.;
   if V01A03  >=9.           Then V01A03=.;
   if V01A04  >=9.           Then V01A04=.;
   if V01A05  >=99.          Then V01A05=.;
   if V01A06  >=99.          Then V01A06=.;
   if V01A07  >=99.          Then V01A07=.;
   if V01A08  >=99.          Then V01A08=.;
   if V01A09  >=9.           Then V01A09=.;
   if V01A10  >=99.          Then V01A10=.;
   if V01A11  >=9.           Then V01A11=.;
   if V01A12  >=9.           Then V01A12=.;
   if V01A13  >=9.           Then V01A13=.;
   if V01A14  >=9.           Then V01A14=.;
   if V01A15  >=9.           Then V01A15=.;
   if V01A16  >=9.           Then V01A16=.;
   if V01A17  >=9.           Then V01A17=.;
