Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC01PB1.DAT' lrecl= 117;
Data SASLIB.SEC01PB1;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V01B01   Length=3 Label='01. Condicao  Ocupacao Domic.';
   attrib V01B02   Length=8 Label='02. Valor Prestacao/Aluguel 30D';
   attrib V01B03   Length=3 Label='03. A Quem Paga Prest./Aluguel';
   attrib V01B04   Length=8 Label='04. Valor Estimado  Aluguel';
   attrib V01B05   Length=3 Label='05. Existe  Agua Canalizada?';
   attrib V01B06   Length=3 Label='06. Tipo  Abastecimento  Agua';
   attrib V01B07   Length=5 Label='07. Gasto  Abast. Agua Ult. 30 D';
   attrib V01B08   Length=3 Label='08. Outra Forma  Abast. Agua';
   attrib V01B09   Length=5 Label='09. Gasto Outra Forma Ab. Agua';
   attrib V01B10   Length=3 Label='10. Tipo  Escoadouro Sanitario';
   attrib V01B11   Length=3 Label='11. Principal Tipo Iluminacao';
   attrib V01B12   Length=5 Label='12. Gastos Iluminacao Item 11';
   attrib V01B13   Length=3 Label='13. Outro Tipo Iluminacao Utiliza';
   attrib V01B14   Length=5 Label='14. Gastos Iluminacao Item 13';
   attrib V01B15   Length=3 Label='15. Principal Combust.Cozinhar';
   attrib V01B16   Length=5 Label='16. Gastos Combustivel item 15';
   attrib V01B17   Length=3 Label='17. Outro Tipo Combustivel Utiliz';
   attrib V01B18   Length=5 Label='18. Gastos Combustivel item 17';
   attrib V01B19   Length=3 Label='19. Existe Telefone Domicilio?';
   attrib V01B20   Length=5 Label='20. Valor Conta Telef. Ult.30 D';
   attrib V01B21   Length=3 Label='21. Destino Lixo Domiciliar';
   attrib V01B21F  Length=3 Label='Flag 21 Parte b';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V01B01      47-47
   V01B02      48-55 .2
   V01B03      56-56
   V01B04      57-64 .2
   V01B05      65-65
   V01B06      66-66
   V01B07      67-72 .2
   V01B08      73-73
   V01B09      74-79 .2
   V01B10      80-80
   V01B11      81-81
   V01B12      82-87 .2
   V01B13      88-88
   V01B14      89-94 .2
   V01B15      95-95
   V01B16      96-101 .2
   V01B17      102-102
   V01B18      103-108 .2
   V01B19      109-109
   V01B20      110-115 .2
   V01B21      116-116
   V01B21F     117-117
;
   if V01B01  >=9.           Then V01B01=.;
   if V01B02  >=999999.      Then V01B02=.;
   if V01B03  >=9.           Then V01B03=.;
   if V01B04  >=999999.      Then V01B04=.;
   if V01B05  >=9.           Then V01B05=.;
   if V01B06  >=9.           Then V01B06=.;
   if V01B07  >=9999.        Then V01B07=.;
   if V01B09  >=9999.        Then V01B09=.;
   if V01B10  >=9.           Then V01B10=.;
   if V01B11  >=9.           Then V01B11=.;
   if V01B12  >=9999.        Then V01B12=.;
   if V01B13  >=9.           Then V01B13=.;
   if V01B14  >=9999.        Then V01B14=.;
   if V01B15  >=9.           Then V01B15=.;
   if V01B16  >=9999.        Then V01B16=.;
   if V01B18  >=9999.        Then V01B18=.;
   if V01B19  >=9.           Then V01B19=.;
   if V01B20  >=9999.        Then V01B20=.;
   if V01B21  >=9.           Then V01B21=.;
