Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC02PA.DAT' lrecl= 42;
Data SASLIB.SEC02PA;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib VORDEM   Length=3 Label='00. Numero Ordem  Pessoa';
   attrib V02A01   Length=3 Label='01. Condicao Unidade Domiciliar';
   attrib V02A02   Length=3 Label='02. Condicao  Familia';
   attrib V02A03   Length=3 Label='03. Numero Familia';
   attrib V02A04   Length=3 Label='04. Sexo  Morador';
   attrib V02A05   Length=3 Label='05. Dia  Nascimento';
   attrib V02A06   Length=3 Label='06. Mes  Nascimento';
   attrib V02A07   Length=3 Label='07. Ano  Nascimento';
   attrib V02A08   Length=3 Label='08. Anos Completos';
   attrib V02A09   Length=3 Label='09. Cor ou raca';
   attrib V02A09F  Length=3 Label='Flag 09 Parte a';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   VORDEM      25-26
   V02A01      27-27
   V02A02      28-28
   V02A03      29-29
   V02A04      30-30
   V02A05      31-32
   V02A06      33-34
   V02A07      35-37
   V02A08      38-40
   V02A09      41-41
   V02A09F     42-42
;
   if VORDEM  >=99.          Then VORDEM=.;
   if V02A01  >=9.           Then V02A01=.;
   if V02A02  >=9.           Then V02A02=.;
   if V02A04  >=9.           Then V02A04=.;
   if V02A08  >=999.         Then V02A08=.;
   if V02A09  >=9.           Then V02A09=.;
