Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC04PC.DAT' lrecl= 41;
Data SASLIB.SEC04PC;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib VORDEM   Length=3 Label='00. Numero Ordem Pessoa';
   attrib V04C01   Length=3 Label='01. Concluiu Profissionalizante?';
   attrib V04C02   Length=3 Label='02. Ano Conclusao Ult.Curso';
   attrib V04C03   Length=3 Label='03. Duracao Ultimo Curso/Anos';
   attrib V04C04   Length=3 Label='04. Duracao Ultimo Curso/Mes';
   attrib V04C05   Length=3 Label='05. Duracao Ultimo Curso/Sema';
   attrib V04C06   Length=3 Label='06. Duracao Ultimo Curso Dias';
   attrib V04C07   Length=3 Label='07. Onde Fez Ult Curso Profiss.';
   attrib V04C08   Length=3 Label='08. Obteve Diploma/Certificado?';
   attrib V04C09   Length=3 Label='09. Responsavel Custo Curso';
   attrib V04C10   Length=3 Label='10. Faz Curso Profissionalizante?';
   attrib V04C11   Length=3 Label='11. Responsavel Custo Profiss.';
   attrib V04C11F  Length=3 Label='Flag Secao 04 Parte C';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   VORDEM      25-26
   V04C01      27-27
   V04C02      28-29
   V04C03      30-31
   V04C04      32-33
   V04C05      34-34
   V04C06      35-35
   V04C07      36-36
   V04C08      37-37
   V04C09      38-38
   V04C10      39-39
   V04C11      40-40
   V04C11F     41-41
;
   if VORDEM  >=99.          Then VORDEM=.;
   if V04C01  >=9.           Then V04C01=.;
   if V04C02  >=99.          Then V04C02=.;
   if V04C03  >=99.          Then V04C03=.;
   if V04C04  >=99.          Then V04C04=.;
   if V04C05  >=9.           Then V04C05=.;
   if V04C06  >=9.           Then V04C06=.;
   if V04C07  >=9.           Then V04C07=.;
   if V04C08  >=9.           Then V04C08=.;
   if V04C09  >=9.           Then V04C09=.;
   if V04C10  >=9.           Then V04C10=.;
   if V04C11  >=9.           Then V04C11=.;
