Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC06PD.DAT' lrecl= 154;
Data SASLIB.SEC06PD;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib VORDEM   Length=3 Label='00. Numero Ordem  Pessoa';
   attrib V06D01   Length=3 Label='01. Ult.12 M.Trab. Dif. Ult.7 D?';
   attrib V06D02   Length=3 Label='02. Ocupacao Ultimos 12 Meses';
   attrib V06D03   Length=3 Label='03. Ativ.Princ. Empresa Ult12 M';
   attrib V06D04   Length=3 Label='04. Posicao Na Ocupacao';
   attrib V06D05   Length=3 Label='05. Possuia Licenca Exerc.Trab';
   attrib V06D06   Length=3 Label='06. Contrib. Inst. Prev. N/Trab?';
   attrib V06D07   Length=3 Label='07. Pessoas Trab. Empr/Firma';
   attrib V06D08   Length=3 Label='08. Horas/Sema. Exc. EsteTrab';
   attrib V06D09   Length=3 Label='09. Meses Trabalhou Empr.12 M';
   attrib V06D10   Length=3 Label='10. Trabalho Epoca Ano?';
   attrib V06D11   Length=3 Label='11.  Anos Trabalhava Empresa';
   attrib V06D12   Length=3 Label='12.  Meses Trabalhava Empresa';
   attrib V06D13   Length=3 Label='13.  Semanas Trab. Empresa';
   attrib V06D14   Length=3 Label='14.  Onde Exercia Trabalho?';
   attrib V06D15   Length=3 Label='15. Rendimento Liq.Ult 30 Dias?';
   attrib V06D16   Length=8 Label='16. Valor Rend. Liq. Ult. 30 D';
   attrib V06D17   Length=3 Label='17. Rendimento Liq.Ult.12 M?';
   attrib V06D18   Length=8 Label='18. Valor Rend. Liq. Ult. 12 M';
   attrib V06D19   Length=3 Label='19. Este Trabalho Era No Setor';
   attrib V06D20   Length=3 Label='20. Neste trabalho Era';
   attrib V06D21   Length=3 Label='21. Este Trabalho Era Na Area';
   attrib V06D22   Length=3 Label='22. Tinha Carteira Assinada ?';
   attrib V06D23   Length=3 Label='23. Chefe Era Parente ?';
   attrib V06D24   Length=3 Label='24. Neste Trabalho Tinha';
   attrib V06D25   Length=3 Label='25. Contribuia Prev.Neste Trab?';
   attrib V06D26   Length=3 Label='26. Pessoas Trab. Empr. Etc ?';
   attrib V06D27   Length=3 Label='27. Horas/Sema Excl. Este Trab.';
   attrib V06D28   Length=3 Label='28. Meses Trabalhou 12 Ult M';
   attrib V06D29   Length=3 Label='29. Trabalho Epoca Ano?';
   attrib V06D30   Length=3 Label='30. AnosTrabalhava NesteTrab.';
   attrib V06D31   Length=3 Label='31. MesesTrabalhava NesteTrab';
   attrib V06D32   Length=3 Label='32. SemaTrabalhava NesteTrab';
   attrib V06D33   Length=3 Label='33. Onde Exercia Este Trabalho';
   attrib V06D34   Length=3 Label='34. Mes Ultimo Pagamento';
   attrib V06D35   Length=3 Label='35. Forma  Pagamento';
   attrib V06D36   Length=5 Label='36. Ultimo Salario Bruto Rec.';
   attrib V06D37   Length=5 Label='37. Ultimo Salario Liquido Rec.';
   attrib V06D38   Length=3 Label='38. Rend. Extra Ultimo Pagam.?';
   attrib V06D39   Length=5 Label='39. Valor  Rendimento Extra';
   attrib V06D40   Length=3 Label='40. Salarios  Ano';
   attrib V06D41   Length=3 Label='41. Recebia Ferias?';
   attrib V06D42   Length=3 Label='42. Recebia Vale/Transp Gratis?';
   attrib V06D43   Length=5 Label='43. Valor  Vale Transporte';
   attrib V06D44   Length=3 Label='44. Recebia Auxilio- Aliment.?';
   attrib V06D45   Length=5 Label='45. Valor Auxilio- Alimentacao';
   attrib V06D46   Length=3 Label='46. Recebia Auxilio- Moradia?';
   attrib V06D47   Length=5 Label='47. Valor  Auxilio- Moradia';
   attrib V06D48   Length=3 Label='48. Recebia Roupa/Uniforme?';
   attrib V06D49   Length=5 Label='49. Valor Roupa/Uniforme';
   attrib V06D50   Length=3 Label='50. Recebia Outro Benef./Bens?';
   attrib V06D51   Length=5 Label='51. Valor Beneficio/Bens';
   attrib V06D51F  Length=3 Label='Flag Secao 06 Parte D';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   VORDEM      25-26
   V06D01      27-27
   V06D02      28-30
   V06D03      31-33
   V06D04      34-34
   V06D05      35-35
   V06D06      36-36
   V06D07      37-37
   V06D08      38-39
   V06D09      40-41
   V06D10      42-42
   V06D11      43-44
   V06D12      45-46
   V06D13      47-47
   V06D14      48-48
   V06D15      49-49
   V06D16      50-57 .2
   V06D17      58-58
   V06D18      59-66 .2
   V06D19      67-67
   V06D20      68-68
   V06D21      69-69
   V06D22      70-70
   V06D23      71-71
   V06D24      72-72
   V06D25      73-73
   V06D26      74-74
   V06D27      75-76
   V06D28      77-78
   V06D29      79-79
   V06D30      80-81
   V06D31      82-83
   V06D32      84-84
   V06D33      85-85
   V06D34      86-87
   V06D35      88-88
   V06D36      89-95 .2
   V06D37      96-102 .2
   V06D38      103-103
   V06D39      104-110 .2
   V06D40      111-112
   V06D41      113-113
   V06D42      114-114
   V06D43      115-121 .2
   V06D44      122-122
   V06D45      123-129 .2
   V06D46      130-130
   V06D47      131-137 .2
   V06D48      138-138
   V06D49      139-145 .2
   V06D50      146-146
   V06D51      147-153 .2
   V06D51F     154-154
;
   if VORDEM  >=99.          Then VORDEM=.;
   if V06D01  >=9.           Then V06D01=.;
   if V06D02  >=999.         Then V06D02=.;
   if V06D04  >=9.           Then V06D04=.;
   if V06D05  >=9.           Then V06D05=.;
   if V06D06  >=9.           Then V06D06=.;
   if V06D07  >=9.           Then V06D07=.;
   if V06D08  >=99.          Then V06D08=.;
   if V06D09  >=99.          Then V06D09=.;
   if V06D10  >=9.           Then V06D10=.;
   if V06D11  >=99.          Then V06D11=.;
   if V06D12  >=99.          Then V06D12=.;
   if V06D13  >=9.           Then V06D13=.;
   if V06D14  >=9.           Then V06D14=.;
   if V06D15  >=9.           Then V06D15=.;
   if V06D16  >=999999.      Then V06D16=.;
   if V06D17  >=9.           Then V06D17=.;
   if V06D18  >=999999.      Then V06D18=.;
   if V06D19  >=9.           Then V06D19=.;
   if V06D20  >=9.           Then V06D20=.;
   if V06D21  >=9.           Then V06D21=.;
   if V06D22  >=9.           Then V06D22=.;
   if V06D23  >=9.           Then V06D23=.;
   if V06D24  >=9.           Then V06D24=.;
   if V06D25  >=9.           Then V06D25=.;
   if V06D27  >=99.          Then V06D27=.;
   if V06D28  >=99.          Then V06D28=.;
   if V06D29  >=9.           Then V06D29=.;
   if V06D30  >=99.          Then V06D30=.;
   if V06D31  >=99.          Then V06D31=.;
   if V06D32  >=9.           Then V06D32=.;
   if V06D33  >=9.           Then V06D33=.;
   if V06D34  >=99.          Then V06D34=.;
   if V06D35  >=9.           Then V06D35=.;
   if V06D36  >=99999.       Then V06D36=.;
   if V06D37  >=99999.       Then V06D37=.;
   if V06D38  >=9.           Then V06D38=.;
   if V06D39  >=99999.       Then V06D39=.;
   if V06D40  >=99.          Then V06D40=.;
   if V06D41  >=9.           Then V06D41=.;
   if V06D43  >=99999.       Then V06D43=.;
   if V06D44  >=9.           Then V06D44=.;
   if V06D45  >=99999.       Then V06D45=.;
   if V06D46  >=9.           Then V06D46=.;
   if V06D47  >=99999.       Then V06D47=.;
   if V06D48  >=9.           Then V06D48=.;
   if V06D49  >=99999.       Then V06D49=.;
   if V06D50  >=9.           Then V06D50=.;
   if V06D51  >=99999.       Then V06D51=.;
