Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC06PE.DAT' lrecl= 46;
Data SASLIB.SEC06PE;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib VORDEM   Length=3 Label='00. Numero Ordem  Pessoa';
   attrib V06E01   Length=3 Label='01. Procurou Trab.Ult 30 D?';
   attrib V06E02   Length=3 Label='02. Procurou Trab.Ult 12 M?';
   attrib V06E03   Length=3 Label='03. Motivo  Procurou Emprego';
   attrib V06E04   Length=3 Label='04. Semanas Proc.Trab.Ult 12M';
   attrib V06E05   Length=3 Label='05. Providencias Conseguir Trab';
   attrib V06E06   Length=3 Label='06. Porque Nao Procurou Trab.';
   attrib V06E07   Length=3 Label='07. Procurou Trabalho Como';
   attrib V06E08   Length=3 Label='08. Setor Procurou Trabalho';
   attrib V06E09   Length=3 Label='09. Atividade Procurou Trab.';
   attrib V06E10   Length=3 Label='10. Conseguiu Trab. Procurado?';
   attrib V06E11   Length=5 Label='11. Menor Valor Aceitaria Trab.';
   attrib V06E11F  Length=3 Label='Flag Secao 06 Parte E';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   VORDEM      25-26
   V06E01      27-27
   V06E02      28-28
   V06E03      29-29
   V06E04      30-31
   V06E05      32-32
   V06E06      33-34
   V06E07      35-35
   V06E08      36-36
   V06E09      37-37
   V06E10      38-38
   V06E11      39-45 .2
   V06E11F     46-46
;
   if VORDEM  >=99.          Then VORDEM=.;
   if V06E01  >=9.           Then V06E01=.;
   if V06E02  >=9.           Then V06E02=.;
   if V06E03  >=9.           Then V06E03=.;
   if V06E04  >=99.          Then V06E04=.;
   if V06E05  >=9.           Then V06E05=.;
   if V06E06  >=99.          Then V06E06=.;
   if V06E07  >=9.           Then V06E07=.;
   if V06E08  >=9.           Then V06E08=.;
   if V06E09  >=9.           Then V06E09=.;
   if V06E10  >=9.           Then V06E10=.;
   if V06E11  >=99999.       Then V06E11=.;
