Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC07PA.DAT' lrecl= 72;
Data SASLIB.SEC07PA;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib VORDEM   Length=3 Label='00. Numero Ordem  Pessoa';
   attrib V07A01   Length=3 Label='01. Ja Esteve Gravida?';
   attrib V07A02   Length=3 Label='02. Quantas Vezes?';
   attrib V07A03   Length=3 Label='03. Teve Filho Nascido Vivo?';
   attrib V07A04   Length=3 Label='04. Total Filhos Nascidos Vivos';
   attrib V07A05   Length=3 Label='05. Total Homens Nasc. Vivos';
   attrib V07A06   Length=3 Label='06. Total Mulheres Nasc.Vivas';
   attrib V07A07   Length=3 Label='07. Total Filhos Ainda Vivos';
   attrib V07A08   Length=3 Label='08. Total Homens Ainda Vivos';
   attrib V07A09   Length=3 Label='09. Total Mulheres Ainda Vivas';
   attrib V07A10   Length=3 Label='10. Dia Nasc Ult Filho Nasc.Vivo';
   attrib V07A11   Length=3 Label='11. Mes Nasc Ult Filho Nasc.Vivo';
   attrib V07A12   Length=3 Label='12. Ano Nasc Ult Filho Nasc.Viv';
   attrib V07A13   Length=3 Label='13. Filho Nasc.Vivo Ult. 5 Anos?';
   attrib V07A14   Length=3 Label='14. Total  Nasc. Vivos Ult 5 A';
   attrib V07A15   Length=3 Label='15. Idade  Mae 1o Filho Nasc V';
   attrib V07A16   Length=3 Label='16. Teve Filho Nascido Morto?';
   attrib V07A17   Length=3 Label='17. Total Filhos Nascidos Mortos';
   attrib V07A18   Length=3 Label='18. Gravidez Interrom.Antes 7M?en 7M';
   attrib V07A19   Length=3 Label='19. Total Gravid. Int. Antes 7 M';
   attrib V07A20   Length=3 Label='20. Utiliza Metodo Evitar Filhos?';
   attrib V07A21   Length=3 Label='21. Metodo Anticonc. Mais Freq.';
   attrib V07A22   Length=3 Label='22. Onde Comprou Anticoncep.';
   attrib V07A23   Length=3 Label='23. Porque N Util.Metodo Antic.';
   attrib V07A24   Length=3 Label='24. Quem Recomendou Anticon';
   attrib V07A25   Length=3 Label='25. Idade Fez Esterilizacao';
   attrib V07A26   Length=3 Label='26. Motivo Fez Esterilizacao';
   attrib V07A27   Length=3 Label='27. Pagou Pela Esterilizacao?';
   attrib V07A28   Length=3 Label='28. Onde Fez Cirurgia Esteriliz.';
   attrib V07A28F  Length=3 Label='Flag Secao 07 Parte A';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   VORDEM      25-26
   V07A01      27-27
   V07A02      28-29
   V07A03      30-30
   V07A04      31-32
   V07A05      33-34
   V07A06      35-36
   V07A07      37-38
   V07A08      39-40
   V07A09      41-42
   V07A10      43-44
   V07A11      45-46
   V07A12      47-48
   V07A13      49-49
   V07A14      50-51
   V07A15      52-53
   V07A16      54-54
   V07A17      55-56
   V07A18      57-57
   V07A19      58-59
   V07A20      60-60
   V07A21      61-62
   V07A22      63-63
   V07A23      64-65
   V07A24      66-66
   V07A25      67-68
   V07A26      69-69
   V07A27      70-70
   V07A28      71-71
   V07A28F     72-72
;
   if VORDEM  >=99.          Then VORDEM=.;
   if V07A01  >=9.           Then V07A01=.;
   if V07A02  >=99.          Then V07A02=.;
   if V07A03  >=9.           Then V07A03=.;
   if V07A04  >=99.          Then V07A04=.;
   if V07A05  >=99.          Then V07A05=.;
   if V07A06  >=99.          Then V07A06=.;
   if V07A07  >=99.          Then V07A07=.;
   if V07A08  >=99.          Then V07A08=.;
   if V07A09  >=99.          Then V07A09=.;
   if V07A10  >=99.          Then V07A10=.;
   if V07A11  >=99.          Then V07A11=.;
   if V07A12  >=99.          Then V07A12=.;
   if V07A13  >=9.           Then V07A13=.;
   if V07A14  >=99.          Then V07A14=.;
   if V07A15  >=99.          Then V07A15=.;
   if V07A16  >=9.           Then V07A16=.;
   if V07A17  >=99.          Then V07A17=.;
   if V07A18  >=9.           Then V07A18=.;
   if V07A19  >=99.          Then V07A19=.;
   if V07A20  >=9.           Then V07A20=.;
   if V07A22  >=9.           Then V07A22=.;
   if V07A23  >=99.          Then V07A23=.;
   if V07A24  >=9.           Then V07A24=.;
   if V07A26  >=9.           Then V07A26=.;
   if V07A27  >=9.           Then V07A27=.;
   if V07A28  >=9.           Then V07A28=.;
