Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC09PA.DAT' lrecl= 132;
Data SASLIB.SEC09PA;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib VORDEM   Length=3 Label='00. Numero Ordem Pessoa';
   attrib V09A01   Length=3 Label='01. Comprou Acoes Ult. 30 D?';
   attrib V09A02   Length=3 Label='02. Vezes Comprou Acoes';
   attrib V09A03   Length=4 Label='03. Total  Aplicacao Acoes';
   attrib V09A04   Length=3 Label='04. Aplicou Poupanca Ult.30 D?';
   attrib V09A05   Length=3 Label='05. Vezes Aplicou Poupanca';
   attrib V09A06   Length=4 Label='06. Total Aplicado Poupanca';
   attrib V09A07   Length=3 Label='07. Aplicou Outr. Ativ. Fin. 30D?';
   attrib V09A08   Length=3 Label='08. Vezes Aplicou Outros Ativos';
   attrib V09A09   Length=4 Label='09. Total Aplic Outros Ativos Fin.,';
   attrib V09A10   Length=3 Label='10. Comprou Imovel Ult.12 M?';
   attrib V09A11   Length=4 Label='11. Valor Total  Imovel';
   attrib V09A12   Length=4 Label='12. Quanto Pag. Imov. Ate Mom';
   attrib V09A13   Length=3 Label='13. Pagto Parcela Imovel 30 D?';
   attrib V09A14   Length=4 Label='14. Quanto Pag.Parc. Imovel';
   attrib V09A15   Length=3 Label='15. Comprou Terreno Ult. 12M?';
   attrib V09A16   Length=4 Label='16. Valor Total Terreno';
   attrib V09A17   Length=4 Label='17. Qto Pagou Terreno Ate Mom';
   attrib V09A18   Length=3 Label='18. Pagto ParcelaTerreno 30 D?';
   attrib V09A19   Length=4 Label='19. Quanto Pagou Parc.Terreno';
   attrib V09A20   Length=3 Label='20. Comprou Automovel 12 M?';
   attrib V09A21   Length=4 Label='21. Valor Total Automovel';
   attrib V09A22   Length=4 Label='22. Quanto Pag. Auto. Ate Mom.';
   attrib V09A23   Length=4 Label='23. Quanto Pagou  Autom 30 D';
   attrib V09A24   Length=3 Label='24. Comprou Tel,Moto,Etc12 M?';
   attrib V09A25   Length=4 Label='25. Valor Total Tel.,Moto,Etc';
   attrib V09A26   Length=4 Label='26. Qto Pagou Tel.Etc Ate Mom.';
   attrib V09A27   Length=4 Label='27. Quanto Pagou Tel. Etc.30 D';
   attrib V09A27F  Length=3 Label='Flag Secao 09 Parte A';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   VORDEM      25-26
   V09A01      27-27
   V09A02      28-29
   V09A03      30-35
   V09A04      36-36
   V09A05      37-38
   V09A06      39-44
   V09A07      45-45
   V09A08      46-47
   V09A09      48-53
   V09A10      54-54
   V09A11      55-60
   V09A12      61-66
   V09A13      67-67
   V09A14      68-73
   V09A15      74-74
   V09A16      75-80
   V09A17      81-86
   V09A18      87-87
   V09A19      88-93
   V09A20      94-94
   V09A21      95-100
   V09A22      101-106
   V09A23      107-112
   V09A24      113-113
   V09A25      114-119
   V09A26      120-125
   V09A27      126-131
   V09A27F     132-132
;
   if VORDEM  >=99.          Then VORDEM=.;
   if V09A01  >=9.           Then V09A01=.;
   if V09A02  >=99.          Then V09A02=.;
   if V09A03  >=999999.      Then V09A03=.;
   if V09A04  >=9.           Then V09A04=.;
   if V09A05  >=99.          Then V09A05=.;
   if V09A06  >=999999.      Then V09A06=.;
   if V09A07  >=9.           Then V09A07=.;
   if V09A08  >=99.          Then V09A08=.;
   if V09A09  >=999999.      Then V09A09=.;
   if V09A10  >=9.           Then V09A10=.;
   if V09A11  >=999999.      Then V09A11=.;
   if V09A12  >=999999.      Then V09A12=.;
   if V09A13  >=9.           Then V09A13=.;
   if V09A14  >=999999.      Then V09A14=.;
   if V09A15  >=9.           Then V09A15=.;
   if V09A16  >=999999.      Then V09A16=.;
   if V09A17  >=999999.      Then V09A17=.;
   if V09A18  >=9.           Then V09A18=.;
   if V09A19  >=999999.      Then V09A19=.;
   if V09A20  >=9.           Then V09A20=.;
   if V09A21  >=999999.      Then V09A21=.;
   if V09A22  >=999999.      Then V09A22=.;
   if V09A23  >=999999.      Then V09A23=.;
   if V09A24  >=9.           Then V09A24=.;
   if V09A25  >=999999.      Then V09A25=.;
   if V09A26  >=999999.      Then V09A26=.;
   if V09A27  >=999999.      Then V09A27=.;
