Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC09PB.DAT' lrecl= 41;
Data SASLIB.SEC09PB;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib VORDEM   Length=3 Label='00. Numero Ordem Pessoa';
   attrib V09B01   Length=3 Label='01. Pediu  Emprestimo Ult30 D?';
   attrib V09B02   Length=3 Label='02. D/QuemTomou Emprestado';
   attrib V09B03   Length=3 Label='03. Finalidade  Emprestimo';
   attrib V09B04   Length=4 Label='04. Valor Total Emprestimo';
   attrib V09B05   Length=3 Label='05. Houve Financiamento ?';
   attrib V09B06   Length=3 Label='06. Duracao Financiamento Anos';
   attrib V09B07   Length=3 Label='07. Duracao Financiamento Meses';
   attrib V09B07F  Length=3 Label='Flag Secao 09 Parte B';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   VORDEM      25-26
   V09B01      27-27
   V09B02      28-28
   V09B03      29-29
   V09B04      30-35
   V09B05      36-36
   V09B06      37-38
   V09B07      39-40
   V09B07F     41-41
;
   if VORDEM  >=99.          Then VORDEM=.;
   if V09B01  >=9.           Then V09B01=.;
   if V09B02  >=9.           Then V09B02=.;
   if V09B03  >=9.           Then V09B03=.;
   if V09B04  >=999999.      Then V09B04=.;
   if V09B05  >=9.           Then V09B05=.;
   if V09B06  >=99.          Then V09B06=.;
   if V09B07  >=99.          Then V09B07=.;
