Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC10PA2.DAT' lrecl= 45;
Data SASLIB.SEC10PA2;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V10A04   Length=3 Label='04. Tipos  Gastos 2- Bens/Serv.';
   attrib V10A05   Length=3 Label='05. Teve Este Gasto Ult. 3 M?';
   attrib V10A06   Length=8 Label='06.  Gasto Cada Tipo Bem/Serv';
   attrib V10A07   Length=3 Label='07. Teve Este Gasto Ult. 30 D?';
   attrib V10A08   Length=8 Label='08.  Gasto Cada Tipo Bem/Serv';
   attrib V10A08F  Length=3 Label='Flag Secao 10 Parte A2';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V10A04      25-26
   V10A05      27-27
   V10A06      28-35 .2
   V10A07      36-36
   V10A08      37-44 .2
   V10A08F     45-45
;
   if V10A04  >=99.          Then V10A04=.;
   if V10A05  >=9.           Then V10A05=.;
   if V10A06  >=999999.      Then V10A06=.;
   if V10A07  >=9.           Then V10A07=.;
   if V10A08  >=999999.      Then V10A08=.;
