Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC10PC.DAT' lrecl= 36;
Data SASLIB.SEC10PC;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V10C01   Length=3 Label='01. Tipo  Gasto Domic. Ult. 30 D';
   attrib V10C02   Length=3 Label='02. Teve Este Tipo  Gasto?';
   attrib V10C03   Length=8 Label='03. Quanto Gastou C/CadaTipo';
   attrib V10C03F  Length=3 Label='Flag Secao 10 Parte C';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V10C01      25-26
   V10C02      27-27
   V10C03      28-35 .2
   V10C03F     36-36
;
   if V10C01  >=99.          Then V10C01=.;
   if V10C02  >=9.           Then V10C02=.;
   if V10C03  >=999999.      Then V10C03=.;
