Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC12PB.DAT' lrecl= 51;
Data SASLIB.SEC12PB;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V12B01   Length=3 Label='01. Tipo Gasto Empresa Ult 30D';
   attrib V12B02   Length=3 Label='02. Empresa 1Teve Gastos?';
   attrib V12B03   Length=5 Label='03. Gasto Empresa 1';
   attrib V12B04   Length=3 Label='04. Empresa 2 Teve Gastos?';
   attrib V12B05   Length=5 Label='05. Gasto Empresa 2';
   attrib V12B06   Length=3 Label='06. Empresa 3 Teve Gastos?';
   attrib V12B07   Length=5 Label='07. Gasto Empresa 3';
   attrib V12B07F  Length=3 Label='Flag Secao 12 Parte B';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V12B01      25-26
   V12B02      27-27
   V12B03      28-34
   V12B04      35-35
   V12B05      36-42
   V12B06      43-43
   V12B07      44-50
   V12B07F     51-51
;
   if V12B01  >=99.          Then V12B01=.;
   if V12B02  >=9.           Then V12B02=.;
   if V12B03  >=9999999.     Then V12B03=.;
   if V12B04  >=9.           Then V12B04=.;
   if V12B05  >=9999999.     Then V12B05=.;
   if V12B06  >=9.           Then V12B06=.;
   if V12B07  >=9999999.     Then V12B07=.;
