Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC13PA.DAT' lrecl= 253;
Data SASLIB.SEC13PA;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib MUNIC    Length=4 Label='Municipio da Fase 3 (Agro-Pecuaria)';
   attrib V13A01   Length=3 Label='01. Morador Produtor Agricult.?';
   attrib V13A02   Length=8 Label='02. Superficie Dest. Agricultura';
   attrib V13A03   Length=3 Label='03. Unid. Medida  Area Agric.';
   attrib V13A04   Length=3 Label='04. Em Relao A Area E';
   attrib V13A05   Length=8 Label='05. Superficie Propriet. Explora';
   attrib V13A06   Length=8 Label='06. Superficie  Arrendat. Explora';
   attrib V13A07   Length=8 Label='07. Superficie  Posseiro Explora';
   attrib V13A08   Length=8 Label='08. Superfic. Explor. Outra Cond.';
   attrib V13A09   Length=3 Label='09. Orientacao P/ Ativ. Agric.?';
   attrib V13A10   Length=3 Label='10. Quem Presta Orient./Apoio';
   attrib V13A11   Length=3 Label='11. Inscrito Prog.Fin/Des. Agric?';
   attrib V13A12   Length=3 Label='12. Programa Esta Inscrito';
   attrib V13A13   Length=3 Label='13. Recebe(eu) Financiamento?';
   attrib V13A14   Length=3 Label='14. Tipo Financiamento';
   attrib V13A15   Length=3 Label='15. Morador Produtor Pecuaria?';
   attrib V13A16   Length=8 Label='16. Superficie Dest. Pecuaria';
   attrib V13A17   Length=3 Label='17. Unidade  Med. Area Pecu.';
   attrib V13A18   Length=3 Label='18. Em Relacao A Area E';
   attrib V13A19   Length=8 Label='19. Superficie Propriet. Explora';
   attrib V13A20   Length=8 Label='20. Superficie  Arrendat. Explora';
   attrib V13A21   Length=8 Label='21. Superficie  Posseiro Explora';
   attrib V13A22   Length=8 Label='22. Superfic. Explor. Outra Cond';
   attrib V13A23   Length=3 Label='23. Orientacao P/ Ativ. Pecu.?';
   attrib V13A24   Length=3 Label='24. Quem Presta Orient./Apoio';
   attrib V13A25   Length=3 Label='25. Inscrito Prog.Fin/Des.Pecu?';
   attrib V13A26   Length=3 Label='26. Programa Esta Inscrito';
   attrib V13A27   Length=3 Label='27. Recebe(eu) Financiamento?';
   attrib V13A28   Length=3 Label='28. Tipo Financiamento';
   attrib V13A29   Length=3 Label='29. Morador Produtor Extr.Veg.?';
   attrib V13A30   Length=8 Label='30. Superficie Dest. Extr.Veg.';
   attrib V13A31   Length=3 Label='31. Unidade Med. Area Extr.Veg.';
   attrib V13A32   Length=3 Label='32. Em Relacao A Area E';
   attrib V13A33   Length=8 Label='33. Superficie Propriet. Explora';
   attrib V13A34   Length=8 Label='34. Superficie  Arrendat.Explora';
   attrib V13A35   Length=8 Label='35. Superficie  Posseiro Explora';
   attrib V13A36   Length=8 Label='36. Superfic. Explor. Outra Cond';
   attrib V13A37   Length=3 Label='37. Orientacao P/Ativ Ext Veg?';
   attrib V13A38   Length=3 Label='38. Quem Presta Orient./Apoio';
   attrib V13A39   Length=3 Label='39. Inscrito Fin/Des.Ext Veg.?';
   attrib V13A40   Length=3 Label='40. Programa Esta Inscrito';
   attrib V13A41   Length=3 Label='41. Recebe(eu) Financiamento?';
   attrib V13A42   Length=3 Label='42. Tipo Financiamento';
   attrib V13A43   Length=3 Label='43. Morador Produtor Reflorest.?';
   attrib V13A44   Length=8 Label='44. Superficie Dest.Reflorest.?';
   attrib V13A45   Length=3 Label='45. Unid.Medida Area Reflorest.';
   attrib V13A46   Length=3 Label='46. Em Relacao A Area E';
   attrib V13A47   Length=8 Label='47. Superficie Propriet. Explora';
   attrib V13A48   Length=8 Label='48. Superficie  Arrendat.Explora';
   attrib V13A49   Length=8 Label='49. Superficie  Posseiro Explora';
   attrib V13A50   Length=8 Label='50. Superfic. Explor. Outra Cond';
   attrib V13A51   Length=3 Label='51. Orientacao P/Ativ Reflorest?';
   attrib V13A52   Length=3 Label='52. Quem Presta Orient./Apoio';
   attrib V13A53   Length=3 Label='53. Inscrito Prog.Fin/Des. Refl?';
   attrib V13A54   Length=3 Label='54. Programa Esta Inscrito';
   attrib V13A55   Length=3 Label='55. Recebe(eu) Financiamento?';
   attrib V13A56   Length=3 Label='56. Tipo Financiamento';
   attrib V13A56F  Length=3 Label='Flag Secao 13 Parte A';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   MUNIC       25-28
   V13A01      29-29
   V13A02      30-38 .2
   V13A03      39-40
   V13A04      41-42
   V13A05      43-51 .2
   V13A06      52-60 .2
   V13A07      61-69 .2
   V13A08      70-78 .2
   V13A09      79-79
   V13A10      80-80
   V13A11      81-81
   V13A12      82-82
   V13A13      83-83
   V13A14      84-84
   V13A15      85-85
   V13A16      86-94 .2
   V13A17      95-96
   V13A18      97-98
   V13A19      99-107 .2
   V13A20      108-116 .2
   V13A21      117-125 .2
   V13A22      126-134 .2
   V13A23      135-135
   V13A24      136-136
   V13A25      137-137
   V13A26      138-138
   V13A27      139-139
   V13A28      140-140
   V13A29      141-141
   V13A30      142-150 .2
   V13A31      151-152
   V13A32      153-154
   V13A33      155-163 .2
   V13A34      164-172 .2
   V13A35      173-181 .2
   V13A36      182-190 .2
   V13A37      191-191
   V13A38      192-192
   V13A39      193-193
   V13A40      194-194
   V13A41      195-195
   V13A42      196-196
   V13A43      197-197
   V13A44      198-206 .2
   V13A45      207-208
   V13A46      209-210
   V13A47      211-219 .2
   V13A48      220-228 .2
   V13A49      229-237 .2
   V13A50      238-246 .2
   V13A51      247-247
   V13A52      248-248
   V13A53      249-249
   V13A54      250-250
   V13A55      251-251
   V13A56      252-252
   V13A56F     253-253
;
   if V13A01  >=9.           Then V13A01=.;
   if V13A02  >=9999999.     Then V13A02=.;
   if V13A03  >=99.          Then V13A03=.;
   if V13A04  >=99.          Then V13A04=.;
   if V13A05  >=9999999.     Then V13A05=.;
   if V13A06  >=9999999.     Then V13A06=.;
   if V13A07  >=9999999.     Then V13A07=.;
   if V13A08  >=9999999.     Then V13A08=.;
   if V13A09  >=9.           Then V13A09=.;
   if V13A11  >=9.           Then V13A11=.;
   if V13A12  >=9.           Then V13A12=.;
   if V13A13  >=9.           Then V13A13=.;
   if V13A14  >=9.           Then V13A14=.;
   if V13A15  >=9.           Then V13A15=.;
   if V13A16  >=9999999.     Then V13A16=.;
   if V13A17  >=99.          Then V13A17=.;
   if V13A18  >=99.          Then V13A18=.;
   if V13A19  >=9999999.     Then V13A19=.;
   if V13A20  >=9999999.     Then V13A20=.;
   if V13A21  >=9999999.     Then V13A21=.;
   if V13A22  >=9999999.     Then V13A22=.;
   if V13A23  >=9.           Then V13A23=.;
   if V13A24  >=9.           Then V13A24=.;
   if V13A25  >=9.           Then V13A25=.;
   if V13A26  >=9.           Then V13A26=.;
   if V13A27  >=9.           Then V13A27=.;
   if V13A28  >=9.           Then V13A28=.;
   if V13A29  >=9.           Then V13A29=.;
   if V13A30  >=9999999.     Then V13A30=.;
   if V13A31  >=99.          Then V13A31=.;
   if V13A32  >=99.          Then V13A32=.;
   if V13A33  >=9999999.     Then V13A33=.;
   if V13A34  >=9999999.     Then V13A34=.;
   if V13A35  >=9999999.     Then V13A35=.;
   if V13A36  >=9999999.     Then V13A36=.;
   if V13A37  >=9.           Then V13A37=.;
   if V13A38  >=9.           Then V13A38=.;
   if V13A39  >=9.           Then V13A39=.;
   if V13A40  >=9.           Then V13A40=.;
   if V13A41  >=9.           Then V13A41=.;
   if V13A42  >=9.           Then V13A42=.;
   if V13A43  >=9.           Then V13A43=.;
   if V13A44  >=9999999.     Then V13A44=.;
   if V13A45  >=99.          Then V13A45=.;
   if V13A46  >=99.          Then V13A46=.;
   if V13A47  >=9999999.     Then V13A47=.;
   if V13A48  >=9999999.     Then V13A48=.;
   if V13A49  >=9999999.     Then V13A49=.;
   if V13A50  >=9999999.     Then V13A50=.;
   if V13A51  >=9.           Then V13A51=.;
   if V13A52  >=9.           Then V13A52=.;
   if V13A53  >=9.           Then V13A53=.;
   if V13A54  >=9.           Then V13A54=.;
   if V13A55  >=9.           Then V13A55=.;
   if V13A56  >=9.           Then V13A56=.;
