Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC13PD.DAT' lrecl= 37;
Data SASLIB.SEC13PD;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V13D00   Length=3 Label='00. Ordem Especie Animal';
   attrib V13D01   Length=3 Label='01. Codigo Especie Animal';
   attrib V13D02   Length=3 Label='02. Obteve Produto/Derivado?';
   attrib V13D03   Length=3 Label='03. Efetivo Rebanho,Vendas,etc';
   attrib V13D04   Length=4 Label='04. Numero Cabeas';
   attrib V13D04F  Length=3 Label='Flag Secao 13 Parte D';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V13D00      25-26
   V13D01      27-28
   V13D02      29-29
   V13D03      30-31
   V13D04      32-36
   V13D04F     37-37
;
   if V13D00  >=99.          Then V13D00=.;
   if V13D01  >=99.          Then V13D01=.;
   if V13D02  >=9.           Then V13D02=.;
   if V13D04  >=99999.       Then V13D04=.;
