Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC13PF.DAT' lrecl= 43;
Data SASLIB.SEC13PF;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V13F00   Length=3 Label='00 .Num.Prod Pecu/Deriv. 12 M';
   attrib V13F01   Length=4 Label='01. Produto Pecu/Deriv lt12M';
   attrib V13F02   Length=3 Label='02. Inform.Prod.Pecu/Deriv/Dest';
   attrib V13F03   Length=4 Label='03. Quantidade Prod Pecu/Deriv';
   attrib V13F04   Length=4 Label='04. Equivalencia Prod.Pecu/Deriv';
   attrib V13F04F  Length=3 Label='Flag Secao 13 Parte F';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V13F00      25-26
   V13F01      27-30
   V13F02      31-32
   V13F03      33-37
   V13F04      38-42
   V13F04F     43-43
;
   if V13F00  >=99.          Then V13F00=.;
   if V13F01  >=9999.        Then V13F01=.;
   if V13F02  >=99.          Then V13F02=.;
   if V13F03  >=99999.       Then V13F03=.;
   if V13F04  >=99999.       Then V13F04=.;
