Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC13PH1.DAT' lrecl= 51;
Data SASLIB.SEC13PH1;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V13H01   Length=8 Label='01. Area Coleta Extr.Veg. 12 M';
   attrib V13H02   Length=3 Label='02. Unidade Superficie';
   attrib V13H03   Length=5 Label='03. Arvores Cortou Ult. 12 M';
   attrib V13H04   Length=4 Label='04. Arvores Replantou Ult 12 M';
   attrib V13H04F  Length=3 Label='Flag Seo 13 Parte H';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V13H01      25-35 .2
   V13H02      36-37
   V13H03      38-45
   V13H04      46-50
   V13H04F     51-51
;
   if V13H01  >=999999999.   Then V13H01=.;
   if V13H02  >=99.          Then V13H02=.;
   if V13H03  >=99999999.    Then V13H03=.;
   if V13H04  >=99999.       Then V13H04=.;
