Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC13PI.DAT' lrecl= 87;
Data SASLIB.SEC13PI;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V13I00   Length=3 Label='00. Numero  Especie Florestal';
   attrib V13I01   Length=3 Label='01. Especie  Florestal Plantada';
   attrib V13I02   Length=8 Label='02. Area Plantada Atualmente';
   attrib V13I03   Length=3 Label='03. Unid.Superficie Area Plant.';
   attrib V13I04   Length=6 Label='04. Qtde Arvores Plant. Atualm.';
   attrib V13I05   Length=6 Label='05. Qtde  Arvores Abatidas 12 M';
   attrib V13I071  Length=4 Label='071. Qtde Madeira Obtida 12 M';
   attrib V13I072  Length=4 Label='072. Qtde  Producao Vendida';
   attrib V13I073  Length=4 Label='073. Prod.Transf./Indust./Comer';
   attrib V13I074  Length=4 Label='074. Prod. Dest.Transformacao';
   attrib V13I075  Length=4 Label='075. Qtde Producao Outros Fins';
   attrib V13I07F  Length=3 Label='Flag Secao 13 Parte I';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V13I00      25-26
   V13I01      27-28
   V13I02      29-37 .2
   V13I03      38-39
   V13I04      40-50
   V13I05      51-61
   V13I071     62-66
   V13I072     67-71
   V13I073     72-76
   V13I074     77-81
   V13I075     82-86
   V13I07F     87-87
;
   if V13I00  >=99.          Then V13I00=.;
   if V13I01  >=99.          Then V13I01=.;
   if V13I02  >=9999999.     Then V13I02=.;
   if V13I03  >=99.          Then V13I03=.;
   if V13I04  >=99999999999. Then V13I04=.;
   if V13I05  >=99999999999. Then V13I05=.;
   if V13I075 >=99999.       Then V13I075=.;
