Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC14PB.DAT' lrecl= 39;
Data SASLIB.SEC14PB;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V14B00   Length=3 Label='00. Numero Produto';
   attrib V14B01   Length=3 Label='01. Inform. Prod. Pescado 12 M';
   attrib V14B02   Length=4 Label='02. Qtde Pescado Ult 12 M';
   attrib V14B03   Length=4 Label='03. Peso Pescado/KG';
   attrib V14B03F  Length=3 Label='Flag Secao 14 Parte B';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V14B00      25-26
   V14B01      27-28
   V14B02      29-33
   V14B03      34-38
   V14B03F     39-39
;
   if V14B00  >=99.          Then V14B00=.;
   if V14B01  >=99.          Then V14B01=.;
   if V14B02  >=99999.       Then V14B02=.;
   if V14B03  >=99999.       Then V14B03=.;
