Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC14PC.DAT' lrecl= 32;
Data SASLIB.SEC14PC;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V14C01   Length=3 Label='01. Tipos Equipamentos Pesq.';
   attrib V14C02   Length=3 Label='02. Possui Este Equipamento?';
   attrib V14C03   Length=3 Label='03. Quantid. Equipam Ult 12 M';
   attrib V14C04   Length=3 Label='04. Quantid. Equipamento Atual';
   attrib V14C04F  Length=3 Label='Flag Secao 14 Parte C';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V14C01      25-26
   V14C02      27-27
   V14C03      28-29
   V14C04      30-31
   V14C04F     32-32
;
   if V14C01  >=99.          Then V14C01=.;
   if V14C02  >=9.           Then V14C02=.;
   if V14C03  >=99.          Then V14C03=.;
   if V14C04  >=99.          Then V14C04=.;
