Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC01PB2.DAT' lrecl= 43;
Data SASLIB.SEC01PB2;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V01B22   Length=3 Label='22. Despesa Domicilio Ult.12 M';
   attrib V01B23   Length=3 Label='23. Teve Tipo Desp. Domicilio?';
   attrib V01B24   Length=8 Label='24. Valor Ult. Pagam. Efetuado';
   attrib V01B25   Length=3 Label='25. Mes Ult. Pagam. Efetuado';
   attrib V01B26   Length=3 Label='26. Ano Ult. Pagam. Efetuado';
   attrib V01B27   Length=3 Label='27. Cotas Pagas Ult. Pagamento';
   attrib V01B28   Length=3 Label='28. Numero Cotas Anuais';
   attrib V01B28F  Length=3 Label='Flag 28 Parte b';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V01B22      25-25
   V01B23      26-26
   V01B24      27-34 .2
   V01B25      35-36
   V01B26      37-38
   V01B27      39-40
   V01B28      41-42
   V01B28F     43-43
;
   if V01B23  >=9.           Then V01B23=.;
   if V01B24  >=999999.      Then V01B24=.;
   if V01B25  >=99.          Then V01B25=.;
   if V01B26  >=99.          Then V01B26=.;
   if V01B27  >=99.          Then V01B27=.;
   if V01B28  >=99.          Then V01B28=.;
