Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC02PB.DAT' lrecl= 55;
Data SASLIB.SEC02PB;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib VORDEM   Length=3 Label='00. Numero Ordem Pessoa';
   attrib V02B01   Length=3 Label='01. Pai Esta Vivo?';
   attrib V02B02   Length=3 Label='02. Pai Vive Domicilio?';
   attrib V02B03   Length=3 Label='03. Numero  Ordem  Pai';
   attrib V02B04   Length=3 Label='04. Pai Sabe(ia) Ler/Escrever?';
   attrib V02B05   Length=3 Label='05. Pai Frequenta(ou) Escola?';
   attrib V02B06   Length=3 Label='06. Nivel  Instrucao  Pai';
   attrib V02B07   Length=3 Label='07. Voce 15 Anos Pai Trabalh.?';
   attrib V02B08   Length=3 Label='08. Codigo  Ocupacao  Pai';
   attrib V02B09   Length=3 Label='09. Tipo  Ocupacao  Pai';
   attrib V02B10   Length=3 Label='10. Voce 15 Anos Vivia C/ Pai?';
   attrib V02B11   Length=3 Label='11. Mae Esta Viva?';
   attrib V02B12   Length=3 Label='12. Mae Vive Domicilio?';
   attrib V02B13   Length=3 Label='13. Numero Ordem Mae';
   attrib V02B14   Length=3 Label='14. Mae Sabe(ia) Ler/Escrever?';
   attrib V02B15   Length=3 Label='15. Mae Frequenta(ou) Escola?';
   attrib V02B16   Length=3 Label='16. Nivel  Instrucao  Mae';
   attrib V02B17   Length=3 Label='17. Voce 15 Anos MaeTrabalh.?';
   attrib V02B18   Length=3 Label='18. Codigo  Ocupacao  Mae';
   attrib V02B19   Length=3 Label='19. Tipo  Ocupacao Mae';
   attrib V02B20   Length=3 Label='20. Voce15 Anos Vivia C/Mae?';
   attrib V02B20F  Length=3 Label='Flag20 Parte B';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   VORDEM      25-26
   V02B01      27-27
   V02B02      28-28
   V02B03      29-30
   V02B04      31-31
   V02B05      32-32
   V02B06      33-34
   V02B07      35-35
   V02B08      36-38
   V02B09      39-39
   V02B10      40-40
   V02B11      41-41
   V02B12      42-42
   V02B13      43-44
   V02B14      45-45
   V02B15      46-46
   V02B16      47-48
   V02B17      49-49
   V02B18      50-52
   V02B19      53-53
   V02B20      54-54
   V02B20F     55-55
;
   if VORDEM  >=99.          Then VORDEM=.;
   if V02B01  >=9.           Then V02B01=.;
   if V02B02  >=9.           Then V02B02=.;
   if V02B03  >=99.          Then V02B03=.;
   if V02B04  >=9.           Then V02B04=.;
   if V02B05  >=9.           Then V02B05=.;
   if V02B06  >=99.          Then V02B06=.;
   if V02B07  >=9.           Then V02B07=.;
   if V02B08  >=999.         Then V02B08=.;
   if V02B09  >=9.           Then V02B09=.;
   if V02B10  >=9.           Then V02B10=.;
   if V02B11  >=9.           Then V02B11=.;
   if V02B12  >=9.           Then V02B12=.;
   if V02B13  >=99.          Then V02B13=.;
   if V02B14  >=9.           Then V02B14=.;
   if V02B15  >=9.           Then V02B15=.;
   if V02B16  >=99.          Then V02B16=.;
   if V02B17  >=9.           Then V02B17=.;
   if V02B18  >=999.         Then V02B18=.;
   if V02B19  >=9.           Then V02B19=.;
   if V02B20  >=9.           Then V02B20=.;
