Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC04PB.DAT' lrecl= 82;
Data SASLIB.SEC04PB;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib VORDEM   Length=3 Label='00. Numero Ordem  Pessoa';
   attrib V04B01   Length=3 Label='01. Ultima Serie Com Aprovacao';
   attrib V04B02   Length=3 Label='02. Ultimo Grau Com Aprovacao';
   attrib V04B03   Length=3 Label='03. Idade Inicio Creche';
   attrib V04B04   Length=3 Label='04. Tempo  Creche';
   attrib V04B05   Length=3 Label='05. Idade Inicio Pre-Escolar';
   attrib V04B06   Length=3 Label='06.Tempo Pre-Escolar';
   attrib V04B07   Length=3 Label='07.Tempo Fora Pre-Escolar';
   attrib V04B08   Length=3 Label='08. Idade Inicio  Elementar/Prim';
   attrib V04B09   Length=3 Label='09.Tempo Primario';
   attrib V04B10   Length=3 Label='10.Tempo Fora  Elem/Primario';
   attrib V04B11   Length=3 Label='11. Inicio Ginasial';
   attrib V04B12   Length=3 Label='12.Tempo Ginasial';
   attrib V04B13   Length=3 Label='13.Tempo Fora  Ginasial';
   attrib V04B14   Length=3 Label='14. Inicio Primeiro Grau';
   attrib V04B15   Length=3 Label='15.Tempo Primeiro Grau';
   attrib V04B16   Length=3 Label='16.Tempo Fora 1o Grau';
   attrib V04B17   Length=3 Label='17. Inicio 2o Grau/Supletivo';
   attrib V04B18   Length=3 Label='18.Tempo 2o Grau/Supletivo';
   attrib V04B19   Length=3 Label='19.Tempo Fora 2o Grau';
   attrib V04B20   Length=3 Label='20. Inicio Pre-Vestibular';
   attrib V04B21   Length=3 Label='21.Tempo Pre-Vestibular';
   attrib V04B22   Length=3 Label='22.Tempo Fora  Pre-Vestibular';
   attrib V04B23   Length=3 Label='23. Inicio Curso Superior';
   attrib V04B24   Length=3 Label='24.Tempo Curso Superior';
   attrib V04B25   Length=3 Label='25.Tempo Fora  Superior';
   attrib V04B26   Length=3 Label='26. Inicio Mestrado/Doutorado';
   attrib V04B27   Length=3 Label='27.Tempo Mestrado/Doutorado';
   attrib V04B28   Length=3 Label='28.Tempo Fora Mestr/Doutorado';
   attrib V04B28F  Length=3 Label='Flag Secao 04 Parte B';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   VORDEM      25-26
   V04B01      27-27
   V04B02      28-29
   V04B03      30-31
   V04B04      32-33
   V04B05      34-35
   V04B06      36-37
   V04B07      38-39
   V04B08      40-41
   V04B09      42-43
   V04B10      44-45
   V04B11      46-47
   V04B12      48-49
   V04B13      50-51
   V04B14      52-53
   V04B15      54-55
   V04B16      56-57
   V04B17      58-59
   V04B18      60-61
   V04B19      62-63
   V04B20      64-65
   V04B21      66-67
   V04B22      68-69
   V04B23      70-71
   V04B24      72-73
   V04B25      74-75
   V04B26      76-77
   V04B27      78-79
   V04B28      80-81
   V04B28F     82-82
;
   if VORDEM  >=99.          Then VORDEM=.;
   if V04B01  >=9.           Then V04B01=.;
   if V04B02  >=99.          Then V04B02=.;
   if V04B03  >=99.          Then V04B03=.;
   if V04B04  >=99.          Then V04B04=.;
   if V04B05  >=99.          Then V04B05=.;
   if V04B06  >=99.          Then V04B06=.;
   if V04B07  >=99.          Then V04B07=.;
   if V04B08  >=99.          Then V04B08=.;
   if V04B09  >=99.          Then V04B09=.;
   if V04B10  >=99.          Then V04B10=.;
   if V04B11  >=99.          Then V04B11=.;
   if V04B12  >=99.          Then V04B12=.;
   if V04B13  >=99.          Then V04B13=.;
   if V04B14  >=99.          Then V04B14=.;
   if V04B15  >=99.          Then V04B15=.;
   if V04B16  >=99.          Then V04B16=.;
   if V04B17  >=99.          Then V04B17=.;
   if V04B18  >=99.          Then V04B18=.;
   if V04B19  >=99.          Then V04B19=.;
   if V04B20  >=99.          Then V04B20=.;
   if V04B21  >=99.          Then V04B21=.;
   if V04B22  >=99.          Then V04B22=.;
   if V04B23  >=99.          Then V04B23=.;
   if V04B24  >=99.          Then V04B24=.;
   if V04B25  >=99.          Then V04B25=.;
   if V04B26  >=99.          Then V04B26=.;
   if V04B27  >=99.          Then V04B27=.;
   if V04B28  >=99.          Then V04B28=.;
