Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC06PA.DAT' lrecl= 49;
Data SASLIB.SEC06PA;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib VORDEM   Length=3 Label='00. Numero Ordem Pessoa';
   attrib V06A01   Length=3 Label='01. Ja Trabalhou?';
   attrib V06A02   Length=3 Label='02. Idade Comecou Trabalhar';
   attrib V06A03   Length=3 Label='03. Primeira Ocupacao';
   attrib V06A04   Length=3 Label='04. Nesta Ocupacao Era';
   attrib V06A05   Length=3 Label='05. Trabalhou Ultimos 7 Dias?';
   attrib V06A06   Length=3 Label='06. TinhaTrabalho Ult. 7 Dias?';
   attrib V06A07   Length=3 Label='07. Porque N Trabalhou Ult. 7 D';
   attrib V06A08   Length=3 Label='08. Trabalhou Ultimos 12 M?';
   attrib V06A09   Length=3 Label='09. Mes Trabalhou Ult. Vez';
   attrib V06A10   Length=3 Label='10. Ano Trabalhou Ult. Vez';
   attrib V06A11   Length=3 Label='11.Trabalho Comunitario 30 D?';
   attrib V06A12   Length=3 Label='12. Hs/Semana Trab. Comunit.';
   attrib V06A13   Length=3 Label='13. Afazeres Domesticos 7 D?';
   attrib V06A14   Length=3 Label='14. Horas/Dia  Afaz. Domesticos';
   attrib V06A14F  Length=3 Label='Flag Secao 06 Parte A';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   VORDEM      25-26
   V06A01      27-27
   V06A02      28-29
   V06A03      30-32
   V06A04      33-33
   V06A05      34-34
   V06A06      35-35
   V06A07      36-36
   V06A08      37-37
   V06A09      38-39
   V06A10      40-42
   V06A11      43-43
   V06A12      44-45
   V06A13      46-46
   V06A14      47-48
   V06A14F     49-49
;
   if VORDEM  >=99.          Then VORDEM=.;
   if V06A01  >=9.           Then V06A01=.;
   if V06A02  >=99.          Then V06A02=.;
   if V06A03  >=999.         Then V06A03=.;
   if V06A04  >=9.           Then V06A04=.;
   if V06A05  >=9.           Then V06A05=.;
   if V06A06  >=9.           Then V06A06=.;
   if V06A07  >=9.           Then V06A07=.;
   if V06A08  >=9.           Then V06A08=.;
   if V06A09  >=99.          Then V06A09=.;
   if V06A10  >=999.         Then V06A10=.;
   if V06A11  >=9.           Then V06A11=.;
   if V06A12  >=99.          Then V06A12=.;
   if V06A13  >=9.           Then V06A13=.;
   if V06A14  >=99.          Then V06A14=.;
