Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC08.DAT' lrecl= 111;
Data SASLIB.SEC08;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib VORDEM   Length=3 Label='00. Numero Ordem Pessoa';
   attrib V08A01   Length=3 Label='01. Rendim. Aposentad. 30 D?';
   attrib V08A02   Length=4 Label='02. Quanto Recebeu Aposent.?';
   attrib V08A03   Length=3 Label='03. Apos/Compl.Prev.Priv.30 D?';
   attrib V08A04   Length=4 Label='04. Quanto Rec.Apos/Prev Priv.';
   attrib V08A05   Length=3 Label='05. Abono Perman.Serv. 30 D?';
   attrib V08A06   Length=4 Label='06. Quanto Rec. Abono Servico';
   attrib V08A07   Length=3 Label='07. Seguro Vida  30 D?';
   attrib V08A08   Length=4 Label='08. Quanto Rec.Seguro Vida';
   attrib V08A09   Length=3 Label='09. Pensao Alimenticia 30 D?';
   attrib V08A10   Length=4 Label='10. Quanto Rec.Pensao Aliment';
   attrib V08A11   Length=3 Label='11. Dividendos/Acoes 30 D?';
   attrib V08A12   Length=4 Label='12. Quanto Rec.Dividendos, etc';
   attrib V08A13   Length=3 Label='13. Indenizacoes/Div.Trab30D?';
   attrib V08A14   Length=4 Label='14. Quanto Rec. Inden/Div.Trab';
   attrib V08A15   Length=3 Label='15. Herancas, Loteria Ult.30 D?';
   attrib V08A16   Length=4 Label='16. Quanto Rec.Herancas, etc.';
   attrib V08A17   Length=3 Label='17. Aluguel/Ven. Imov/Vei 30D?';
   attrib V08A18   Length=4 Label='18. Qto Rec.Alug/Ven.Imov/Vei';
   attrib V08A19   Length=3 Label='19. Seguro- Desemprego 30 D?';
   attrib V08A20   Length=4 Label='20. Qto Rec.Seg. Desemprego';
   attrib V08A21   Length=3 Label='21. Doacoes Ult. 30 Dias?';
   attrib V08A22   Length=4 Label='22. Quanto Recebeu Doacoes';
   attrib V08A23   Length=3 Label='23. Outras Fontes Ult. 30 Dias?';
   attrib V08A24   Length=4 Label='24. Quanto Rec. Outras Fontes';
   attrib V08A24F  Length=3 Label='Flag Secao 08';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   VORDEM      25-26
   V08A01      27-27
   V08A02      28-33
   V08A03      34-34
   V08A04      35-40
   V08A05      41-41
   V08A06      42-47
   V08A07      48-48
   V08A08      49-54
   V08A09      55-55
   V08A10      56-61
   V08A11      62-62
   V08A12      63-68
   V08A13      69-69
   V08A14      70-75
   V08A15      76-76
   V08A16      77-82
   V08A17      83-83
   V08A18      84-89
   V08A19      90-90
   V08A20      91-96
   V08A21      97-97
   V08A22      98-103
   V08A23      104-104
   V08A24      105-110
   V08A24F     111-111
;
   if VORDEM  >=99.          Then VORDEM=.;
   if V08A01  >=9.           Then V08A01=.;
   if V08A02  >=999999.      Then V08A02=.;
   if V08A03  >=9.           Then V08A03=.;
   if V08A04  >=999999.      Then V08A04=.;
   if V08A05  >=9.           Then V08A05=.;
   if V08A06  >=999999.      Then V08A06=.;
   if V08A07  >=9.           Then V08A07=.;
   if V08A08  >=999999.      Then V08A08=.;
   if V08A09  >=9.           Then V08A09=.;
   if V08A10  >=999999.      Then V08A10=.;
   if V08A11  >=9.           Then V08A11=.;
   if V08A12  >=999999.      Then V08A12=.;
   if V08A13  >=9.           Then V08A13=.;
   if V08A14  >=999999.      Then V08A14=.;
   if V08A15  >=9.           Then V08A15=.;
   if V08A16  >=999999.      Then V08A16=.;
   if V08A17  >=9.           Then V08A17=.;
   if V08A18  >=999999.      Then V08A18=.;
   if V08A19  >=9.           Then V08A19=.;
   if V08A20  >=999999.      Then V08A20=.;
   if V08A21  >=9.           Then V08A21=.;
   if V08A22  >=999999.      Then V08A22=.;
   if V08A23  >=9.           Then V08A23=.;
   if V08A24  >=999999.      Then V08A24=.;
