Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC10PA1.DAT' lrecl= 36;
Data SASLIB.SEC10PA1;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V10A01   Length=3 Label='01. Tipo Gasto - Bens/Servios';
   attrib V10A02   Length=3 Label='02. Teve Este Gasto Ult. 30 D?';
   attrib V10A03   Length=8 Label='03.  Gasto Cada Tipo Bem/Serv';
   attrib V10A03F  Length=3 Label='Flag Secao 10 parte A1';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V10A01      25-26
   V10A02      27-27
   V10A03      28-35 .2
   V10A03F     36-36
;
   if V10A01  >=99.          Then V10A01=.;
   if V10A02  >=9.           Then V10A02=.;
   if V10A03  >=999999.      Then V10A03=.;
