Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC10PD2.DAT' lrecl= 40;
Data SASLIB.SEC10PD2;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V10D03   Length=3 Label='03. Ordem Pessoa Secao 10';
   attrib V10D04   Length=3 Label='04. Rel. Parentesco Chefe Dom.';
   attrib V10D05   Length=3 Label='05. Onde Vive Pessoa';
   attrib V10D06   Length=3 Label='06. UF  Vive Pessoa';
   attrib V10D07   Length=8 Label='07. Qto Enviou Contrib.Ult.30 D';
   attrib V10D08   Length=3 Label='08. Receb. Contribuicao Volta?';
   attrib V10D08F  Length=3 Label='Flag Secao 10 Parte D2';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V10D03      25-26
   V10D04      27-27
   V10D05      28-28
   V10D06      29-30
   V10D07      31-38 .2
   V10D08      39-39
   V10D08F     40-40
;
   if V10D03  >=99.          Then V10D03=.;
   if V10D04  >=9.           Then V10D04=.;
   if V10D05  >=9.           Then V10D05=.;
   if V10D06  >=99.          Then V10D06=.;
   if V10D07  >=999999.      Then V10D07=.;
   if V10D08  >=9.           Then V10D08=.;
