Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC13PB2.DAT' lrecl= 39;
Data SASLIB.SEC13PB2;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V13B200  Length=3 Label='00. Numero Produto Agricola';
   attrib V13B09   Length=3 Label='09. Inform. Prod. Agric/Destino';
   attrib V13B10   Length=4 Label='10. Quantidade Prod. Agricola';
   attrib V13B11   Length=4 Label='11. Equivalencia Produto Agric.';
   attrib V13B11F  Length=3 Label='Flag Secao 13 Parte B2';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V13B200     25-26
   V13B09      27-28
   V13B10      29-33
   V13B11      34-38
   V13B11F     39-39
;
   if V13B200 >=99.          Then V13B200=.;
   if V13B09  >=99.          Then V13B09=.;
   if V13B10  >=99999.       Then V13B10=.;
   if V13B11  >=99999.       Then V13B11=.;
