Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC13PE.DAT' lrecl= 30;
Data SASLIB.SEC13PE;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V13E00   Length=3 Label='00. Ordem Especie Animal';
   attrib V13E01   Length=3 Label='01. Codigo Especie Animal';
   attrib V13E02   Length=3 Label='02. Obteve Produto/ Derivado?';
   attrib V13E02F  Length=3 Label='Flag Secao 13 Parte E';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V13E00      25-26
   V13E01      27-28
   V13E02      29-29
   V13E02F     30-30
;
   if V13E00  >=99.          Then V13E00=.;
   if V13E01  >=99.          Then V13E01=.;
   if V13E02  >=9.           Then V13E02=.;
