Libname SASLIB 'c:\ppv\pgms\sas';
filename FIN 'c:\ppv\dados\ascii\SEC14PA.DAT' lrecl= 107;
Data SASLIB.SEC14PA;
   Infile fin missover;
   attrib RecType  Length=$2 Label='Tipo  Registro';
   attrib vident   Length=$16 Label='Identificacao Domicilio';
   attrib aid      Length=7 Label='useless';
   attrib V14A01   Length=3 Label='01. Morador Exerce Ativ.Pesq.?';
   attrib V14A02   Length=3 Label='02. Tipo Atividade Pesqueira';
   attrib V14A03   Length=3 Label='03. Associado Cooperativa,etc';
   attrib V14A04   Length=3 Label='04. Possui Embarcacao?';
   attrib V14A05   Length=3 Label='05. Quantidade Embarcacoes';
   attrib V14A071  Length=4 Label='07. Quantidade Destin.Venda';
   attrib V14A081  Length=4 Label='08. Peso Pescado Vendido/KG';
   attrib V14A091  Length=8 Label='09. Valor Venda  Pescado';
   attrib V14A101  Length=3 Label='10. Principal Comprador';
   attrib V14A072  Length=4 Label='07. Quantidade Destin. Venda';
   attrib V14A082  Length=4 Label='08. Peso Pescado Vendido/KG';
   attrib V14A092  Length=8 Label='09. Valor Venda Pescado';
   attrib V14A102  Length=3 Label='10. Principal Comprador';
   attrib V14A073  Length=4 Label='07. Quantidade Destin. Venda';
   attrib V14A083  Length=4 Label='08. Peso Pescado Vendido/KG';
   attrib V14A093  Length=8 Label='09. Valor Venda Pescado';
   attrib V14A103  Length=3 Label='10. Principal Comprador';
   attrib V14A074  Length=4 Label='07. Quantidade Destin. Venda';
   attrib V14A084  Length=4 Label='08. Peso Pescado Vendido/KG';
   attrib V14A094  Length=8 Label='09. Valor  Venda  Pescado';
   attrib V14A104  Length=3 Label='10. Principal Comprador';
   attrib V14A104f Length=3 Label='02. Codigo Gastos';
;
Input 
   RecType    $1-2
   vident     $3-18
   aid         3-14
   V14A01      25-25
   V14A02      26-26
   V14A03      27-27
   V14A04      28-28
   V14A05      29-30
   V14A071     31-35
   V14A081     36-40
   V14A091     41-48 .2
   V14A101     49-49
   V14A072     50-54
   V14A082     55-59
   V14A092     60-67 .2
   V14A102     68-68
   V14A073     69-73
   V14A083     74-78
   V14A093     79-86 .2
   V14A103     87-87
   V14A074     88-92
   V14A084     93-97
   V14A094     98-105 .2
   V14A104     106-106
   V14A104f    107-107
;
   if V14A01  >=9.           Then V14A01=.;
   if V14A02  >=9.           Then V14A02=.;
   if V14A03  >=9.           Then V14A03=.;
   if V14A04  >=9.           Then V14A04=.;
   if V14A05  >=99.          Then V14A05=.;
   if V14A071 >=99999.       Then V14A071=.;
   if V14A081 >=99999.       Then V14A081=.;
   if V14A091 >=999999.      Then V14A091=.;
   if V14A101 >=9.           Then V14A101=.;
   if V14A072 >=99999.       Then V14A072=.;
   if V14A082 >=99999.       Then V14A082=.;
   if V14A092 >=999999.      Then V14A092=.;
   if V14A102 >=9.           Then V14A102=.;
   if V14A073 >=99999.       Then V14A073=.;
   if V14A083 >=99999.       Then V14A083=.;
   if V14A093 >=999999.      Then V14A093=.;
   if V14A103 >=9.           Then V14A103=.;
   if V14A074 >=99999.       Then V14A074=.;
   if V14A084 >=99999.       Then V14A084=.;
   if V14A094 >=999999.      Then V14A094=.;
   if V14A104 >=9.           Then V14A104=.;
